@charset "utf-8";
@import "../../_variables.sass";

.btn-custom-margin {
  margin: .5rem 0 0 1rem;
}

.download_popup_content {
  display: flex;
  flex-direction: column;
  margin: 1rem 0.75rem;
  justify-content: stretch;
  align-items: center;

  .btn-group {
    justify-content: center;
    margin-left: 0;
    width: 100%;
  }

  button span {
    margin-left: .5rem;
  }
}

.stat-header-dashboards {
  position: relative;
  z-index: 1;
}

.button-container {
  display: inline-block;
  margin: 0;
  align-self: flex-start;
  cursor: pointer;
  z-index: 10000;
  position: relative;
}

.dashboard-headings-container {
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  padding-top: 24px;
  padding-bottom: 24px;

  &.hidden {
    display: none;
  }
}

.my-dashboard-help {
  width: 100%;
  display: flex;
  flex-direction: column;
  height: fit-content;
  margin-bottom: 32px;
}

.dashboard-main-container {
  margin-bottom: 3px;
  box-shadow: $card-shadow;
}


.heading-container {
  display: inline-block;
  margin: 0;

  @include mobile {
    margin-left: 24px;
    margin-right: 24px;

    .subtitle {
      font-size: 16px;
    }
  }
}


.dashboard-main-container {
  margin-bottom: 3px;
  box-shadow: $card-shadow;
}

.role-container {
  display: flex;
  align-items: center;
  background-color: $widget-background-color;
  margin-bottom: 3px;
  position: relative;
  font-size: 40px;
  font-weight: $weight-bold;
  color: $primary;

  .is-primary {
    background-color: $white;
    color: $primary;
    border: 2px solid $primary;
    font-size: 16px;
    font-weight: $weight-bold;
    cursor: pointer;
    width: 200px;
    height: 40px;
  }

  @include mobile {
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 157px;
    font-size: 32px;
    box-shadow: $card-shadow;

    .role-icon {
      display: none;
    }

    .is-primary {
      margin-top: 10px;
      margin-left: 0;
      margin-right: 0;
      align-self: center;
    }
  }

  @include desktop {
    .is-primary {
      margin-left: auto;
      margin-right: 1.5rem;
      align-self: flex-start;
      margin-top: 1rem;
    }
  }
}

.breadcrumb {
  cursor: default;
  padding-left: 16px;
  background-color: $white;
  font-size: $size-7;
  margin-bottom: 3px !important;

  a {
    text-decoration: none;

    &:hover {
      text-decoration: underline;
      color: $primary;
    }
  }

  ul {
    align-items: center;
    color: $dark-grey;
    padding: 16px;

    &:has(.react-select) {
      padding: 10px;
    }

    li + li::before {
      content: "";
    }

    li svg {
      fill: $primary;
      margin: 0 0.2rem 0 0.2rem;
    }

    .react-select {
      margin-left: 0.5rem;
      @include mobile {
        margin-left: 0;
      }
    }

    li:hover {
      span {
        cursor: pointer;
        color: $link-color;
        text-decoration: underline;
      }
    }

    li:last-of-type {
      span {
        cursor: auto;
      }

      .react-select__single-value {
        font-weight: 700;
        padding-bottom: 2px;
      }

      svg.is-separator {
        display: none;
      }

      &:not(:has(.react-select)) span {
        text-decoration: underline;
      }
    }
  }

  .react-select {
    z-index: 11;
  }
}

.preferences-modal {
  position: absolute;
  top: 0;
  left: 0;
  background: white;
  width: 100%;
  z-index: 10;
  padding: 10px;
  box-shadow: $card-shadow;
}

.collapse__content {
  padding: 0;
}

